Summary:	A tool for managing Anthy's dictionary
Name:		kasumi
Version:	2.5
Release:	%mkrel 11
Group:		System/Internationalization
License:	GPLv2+
URL:		https://osdn.net/projects/kasumi/
Source0:	https://acc.dl.osdn.jp/kasumi/41436/%name-%version.tar.gz
Patch0:		kasumi-2.3-fix-desktop-file.patch
Patch1:		kasumi-2.5-mga-external-gettext.patch
Requires:	anthy >= 6300
BuildRequires:	pkgconfig(pango)
BuildRequires:	pkgconfig(atk)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(anthy)
BuildRequires:	imagemagick
BuildRequires:	desktop-file-utils
BuildRequires:	gettext-devel

%description
A tool for managing Anthy's Japanese dictionary.

%prep
%setup -q
%autopatch -p0

# make autoreconf more happy
sed -i -e 's,\(AM_GNU_GETTEXT.*\),\1\nAM_GNU_GETTEXT_REQUIRE_VERSION(\[0.19.8\]),' configure.in

%build
# fix build on aarch64
autoreconf -vfi

CXXFLAGS="%build_cxxflags -std=gnu++14" \
%configure
%make_build

%install
%make_install

# icons
mkdir -p %{buildroot}/%{_iconsdir}/hicolor/{16x16,32x32}/apps
cp %{buildroot}/%{_datadir}/pixmaps/%{name}.png %{buildroot}/%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert -scale 16 %{buildroot}/%{_datadir}/pixmaps/%{name}.png %{buildroot}/%{_iconsdir}/hicolor/16x16/apps/%{name}.png

%find_lang %{name}

# menu
desktop-file-install	--vendor="" \
			--dir %{buildroot}%{_datadir}/applications \
			--remove-category="Applications" \
			%{name}.desktop

%files -f %{name}.lang
%doc AUTHORS ChangeLog README
%{_bindir}/*
%{_datadir}/applications/kasumi.desktop
%{_datadir}/pixmaps/*.png
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man1/kasumi.1*




%changelog
* Sat Jun 28 2025 umeabot <umeabot> 2.5-11.mga10
+ Revision: 2216535
- Mageia 10 Mass Rebuild

* Wed Nov 23 2022 ghibo <ghibo> 2.5-10.mga9
+ Revision: 1910539
- Fix build by forcing C++14 instead of C++17
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Fri Mar 27 2020 umeabot <umeabot> 2.5-9.mga8
+ Revision: 1561064
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 2.5-8.mga7
+ Revision: 1298434
- Mageia 7 Mass Rebuild

* Wed Jul 18 2018 wally <wally> 2.5-7.mga7
+ Revision: 1244220
- fix build on aarch64
- use new make macros

* Mon Feb 01 2016 umeabot <umeabot> 2.5-6.mga6
+ Revision: 930009
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.5-5.mga5
+ Revision: 745211
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.5-4.mga5
+ Revision: 680933
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.5-3.mga4
+ Revision: 506538
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.5-2.mga3
+ Revision: 355822
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun May 08 2011 dmorgan <dmorgan> 2.5-1.mga1
+ Revision: 96137
- imported package kasumi


* Tue Aug 04 2009 Frederik Himpe <fhimpe@mandriva.org> 2.5-1mdv2010.0
+ Revision: 409448
- Update to new version 2.5

* Thu Jan 29 2009 Funda Wang <fwang@mandriva.org> 2.4-1mdv2009.1
+ Revision: 335226
- New version 2.4

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Wed Dec 10 2008 Adam Williamson <awilliamson@mandriva.org> 2.3-3mdv2009.1
+ Revision: 312418
- add gcc4.3fix patch: from Debian (re-diffed), fixes build with GCC 4.3

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Nov 09 2007 Funda Wang <fwang@mandriva.org> 2.3-2mdv2008.1
+ Revision: 107076
- rebuild for new lzma

* Fri Nov 02 2007 Funda Wang <fwang@mandriva.org> 2.3-1mdv2008.1
+ Revision: 105356
- New version 2.3

* Fri Jul 13 2007 Adam Williamson <awilliamson@mandriva.org> 2.2-1mdv2008.0
+ Revision: 51765
- buildrequires desktop-file-utils
- generate and package fd.o icons
- BuildRequires anthy-devel
- drop old menu file and X-Mandriva menu category
- new release 2.2


* Thu Aug 24 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.0.1-2.20060803.2mdv2007.0
- fix summary macro usage for menu item
- fix section in menu item
- drop COPYING file as package is GPL
- cosmetics

* Thu Aug 03 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.0.1-2.20060803.1mdv2007.0
- fix build
- XDG menu
- UTUMI Hirosi <utuhiro78@yahoo.co.jp>:
  o latest snapshot (includes fixes for gcc-4.1.1)
  o remove patch0 (kasumi-fix-for-anthy-7716.diff) (merged upstream)

* Mon Jul 03 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 2.0.1-1mdv2007.0
- SECURITY FIX RELEASE

* Thu Dec 15 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.0-1mdk
- new release

* Thu Oct 06 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.10-1mdk
- new release

* Fri Jul 29 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.9-1mdk
- new release

* Sat Apr 09 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.8-1mdk
- new release

* Mon Jan 10 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.7-2.cvs20050110.1mdk
- latest snapshot

* Sun Jan 02 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.7-1mdk
- first spec for mdk
- do not package empty files (tv)

